package com.govmade.modules.system.entity;

import com.baomidou.mybatisplus.annotations.TableName;
import com.govmade.modules.basic.entity.BaseEntity;

/**
 * 系统管理 - 模块设置
 * 
 * @author 刘弈臻
 * @date 2018年8月9日
 */
@TableName("system_modules")
public class ModuleEntity extends BaseEntity<Long>{

	private static final long serialVersionUID = 1L;
	
	private String name; //模块名称
	
	private String path; //模块路径
	
	private String icon; //图标
	
	private Integer isShow; //是否显示
	
	private Long weight; //权重

	
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public Integer getIsShow() {
		return isShow;
	}

	public void setIsShow(Integer isShow) {
		this.isShow = isShow;
	}

	public Long getWeight() {
		return weight;
	}

	public void setWeight(Long weight) {
		this.weight = weight;
	}
	
	
}
